#!/usr/bin/perl
# File: XMLdata/Element.pm
#
#  Released under the same license as Perl.
#  Simplify working with XML::Parser Objects.
#
package XMLdata::PCData;

use strict;


#---------------------------------------------------------------
#  Return a recognizable string for character data
#
#  Return:  tag name as a string
sub   tagname
 {
  my $self = shift;
  '#PCDATA';
 }


#----------------------------------------------------------------
#  Return the text contained in a ::Characters node.
#
#  Input:  an xml Characters object
sub   get_text
 {
  $_[0]->{Text};
 }



#----------------------------------------------------------------
#  Return a boolean stating that this is not an Element
sub   is_element
 {
  0;
 }




#----------------------------------------------------------------
#  Returns true if the supplied object is a text object
#
#  Input:  an xml object
#
#  Return: true if the xml object is a text object, false otherwise
sub   is_text
 {
  1;
 }
1;
